[arch-commits] Commit in rasmol/repos (4 files)

Jan de Groot jgc at archlinux.org
Sun Jul 20 17:21:56 EDT 2008


    Date: Sunday, July 20, 2008 @ 17:21:56
  Author: jgc
Revision: 5785

Merged revisions 2-5784 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/rasmol/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r5747 | jgc | 2008-07-20 16:51:33 +0000 (Sun, 20 Jul 2008) | 2 lines
  
  upgpkg: rasmol 2.7.3-3
      Remove install scriptlet, cleanup desktop file, cleanup PKGBUILD
........

Modified:
  rasmol/repos/extra-i686/	(properties)
  rasmol/repos/extra-i686/PKGBUILD
  rasmol/repos/extra-i686/rasmol.desktop
Deleted:
  rasmol/repos/extra-i686/rasmol.install

----------------+
 PKGBUILD       |   40 +++++++++++++++++++++-------------------
 rasmol.desktop |    5 ++---
 rasmol.install |   21 ---------------------
 3 files changed, 23 insertions(+), 43 deletions(-)


Property changes on: rasmol/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /rasmol/trunk:1
   + /rasmol/trunk:1-5784

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-07-20 21:15:44 UTC (rev 5784)
+++ extra-i686/PKGBUILD	2008-07-20 21:21:56 UTC (rev 5785)
@@ -3,28 +3,30 @@
 # Contributor: Damir Perisa <damir.perisa at bluewin.ch>
 pkgname=rasmol
 pkgver=2.7.3
-pkgrel=2
+pkgrel=3
 pkgdesc="A program for molecular graphics visualisation (aka openrasmol)"
+arch=('i686' 'x86_64')
+license=('GPL2')
 url="http://www.openrasmol.org/"
-depends=('glibc' 'libxi' 'libx11' 'libxext')
+depends=('libxi' 'libx11' 'libxext')
 makedepends=('imake')
-source=("ftp://ftp.bernstein-plus-sons.com/software/RasMol_$pkgver.tar.gz" \
-	"$pkgname.png" \
-	"$pkgname.desktop")
-install=$pkgname.install
+source=(ftp://ftp.bernstein-plus-sons.com/software/RasMol_${pkgver}.tar.gz
+	rasmol.png
+	rasmol.desktop)
+md5sums=('b9d6e6aa2e56d464fe9794539818cce0'
+         '9eadcb6677c3b600a98e4a251612af15'
+         '3b377f7737c918256f047e8d212cb094')
 
 build() {
-   cd $startdir/src/RasMol_$pkgver/src
-   mkdir doc data
-   gunzip -c ../doc/rasmol.1.gz > doc/rasmol.1
-   cp ../data/*.pdb data
-   xmkmf
-   make all || return 1
-   make DESTDIR=$startdir/pkg install
-  # make it nice:
-  install -D -m644 $startdir/src/$pkgname.png \
-  $startdir/pkg/usr/share/pixmaps/$pkgname.png
-  install -D -m644 $startdir/src/$pkgname.desktop \
-  $startdir/pkg/usr/share/applications/$pkgname.desktop
+  cd ${srcdir}/RasMol_${pkgver}/src
+  mkdir doc data
+  gunzip -c ../doc/rasmol.1.gz > doc/rasmol.1 || return 1
+  cp ../data/*.pdb data || return 1
+  xmkmf || return 1
+  make all || return 1
+  make DESTDIR=$startdir/pkg install || return 1
+  install -m755 -d ${pkgdir}/usr/share/pixmaps
+  install -m644 ${srcdir}/rasmol.png ${pkgdir}/usr/share/pixmaps/ || return 1
+  install -m755 -d ${pkgdir}/usr/share/applications
+  install -m644 ${srcdir}/rasmol.desktop ${pkgdir}/usr/share/applications/ || return 1
 }
-

Modified: extra-i686/rasmol.desktop
===================================================================
--- extra-i686/rasmol.desktop	2008-07-20 21:15:44 UTC (rev 5784)
+++ extra-i686/rasmol.desktop	2008-07-20 21:21:56 UTC (rev 5785)
@@ -1,10 +1,9 @@
 [Desktop Entry]
-Categories=Science;Chemistry
+Categories=Science;Chemistry;
 Comment=Viewer for PDB and other Molecular Graphics
 Exec=rasmol
 GenericName=Molecular Graphics Visualisation Tool
-Icon=/usr/share/pixmaps/rasmol.png
-MimeType=
+Icon=rasmol
 Name=RasMol
 Terminal=true
 Type=Application

Deleted: extra-i686/rasmol.install
===================================================================
--- extra-i686/rasmol.install	2008-07-20 21:15:44 UTC (rev 5784)
+++ extra-i686/rasmol.install	2008-07-20 21:21:56 UTC (rev 5785)
@@ -1,21 +0,0 @@
-# arg 1:  the new package version
-post_install() {
-  echo "update desktop and mime database..."
-  update-desktop-database
-}
-
-# arg 1:  the new package version
-# arg 2:  the old package version
-post_upgrade() {
-  post_install $1
-}
-
-# arg 1:  the old package version
-pre_remove() {
-  /bin/true
-}
-
-op=$1
-shift
-
-$op $*





More information about the arch-commits mailing list